<?php
/**
 * Install me, available in V 2.2.3
 */
if( !defined('ABSPATH') )
	exit();
if(!class_exists('WPO_pressticket_Install')){
	class WPO_pressticket_Install {
		var $version = '2.3.1';
		var $wpversion_supported = '3.4';
		function upgrade(){
			global $wp_version;
			### First, Check Wp Current Version.
			if( version_compare($wp_version, $this->wpversion_supported, '<') ){
				exit( sprintf(__('This plugin does not work on WP %s, Please %s your WP now.','wpo'), $wp_version,'<a href="'.admin_url('update-core.php').'">'.__('Upgrade','wpo').'</a>') );
			}
			### Second, Upgrade.
			$this->do_upgrade();
		}
		function do_upgrade(){
			$old_version = get_option('wpo_pressticket_version',true) ? get_option('wpo_pressticket_version',true) : null;
			if( $old_version == null || version_compare($this->version, $old_version,'>') ){
				### Update ticket type.
				$this->update_ticket_type();
				### Remove # Ticket ID
				$this->remove_t_ticket_id();
				update_option('wpo_pressticket_version', $this->version);
			}
		}
		function update_ticket_type(){
			global $wpdb;
			$query = $wpdb->get_results("SELECT * FROM $wpdb->postmeta WHERE `meta_key`='wpo_ticket_related_product'");
			if( $query ){
				foreach ($query as $post ){
					### Update Woo ticket type.
					if( !get_post_meta($post->ID,'wpo_ticket_type',true) ){
						update_post_meta($post->ID, 'wpo_ticket_type', 'woo');
					}
				}
			}
		}
		function remove_t_ticket_id(){
			global $wpdb;
			$query = $wpdb->get_results("SELECT * FROM $wpdb->postmeta WHERE `meta_key`='wpo_ticket_ID' AND `meta_value` LIKE '#%'");
			if( $query ){
				foreach ( $query as $post ){
					if( strpos($post->meta_value, '#') !== false ){
						### found and replace #
						$new_id = str_replace('#', '', $post->meta_value);
						update_post_meta($post->post_id, 'wpo_ticket_ID', $new_id);
					}
				}
			}
		}
	}
	$WPO_pressticket_installme = new WPO_pressticket_Install();
}