<?php
if( !defined('ABSPATH') )
	exit();
if(!class_exists('WPO_pressticket_woocommerce')){
	class WPO_pressticket_woocommerce {
		function __construct() {
			add_filter('woocommerce_product_tabs', array($this,'woo_createticket_tab'), 9999);
			add_filter('manage_edit-product_columns' , array($this,'manage_edit_woo_product_columns'),999);
			add_action('manage_product_posts_custom_column', array($this,'manage_woo_product_posts_custom_column'), 10, 2 );
			add_action('parse_query', array($this,'woo_parse_query'),1000);
			//add_action('pre_get_posts', array($this,'woo_parse_query'),1000);
			return;
		}
		public static function check_woocommerce_installed(){
			if( class_exists('Woocommerce') )
				return true;
			return false;
		}
		public static function get_products($selector = NULL){
			$htmlDropdown = null;
			global $post;
			if( self::check_woocommerce_installed() === true ){
				$products = get_posts(array(
					'post_type'	=>	'product'
				));
				if( $products ):
					$htmlDropdown .= '<select name="product" id="product">';
						$htmlDropdown .= '<option value="-1">'.__('Choose a product','wpo').'</option>';
					foreach ($products as $product){
						$selector = ( $selector == $product->ID ) ? 'selected' : null;
						$htmlDropdown .= '<option '.$selector.' value="'.$product->ID.'">'.$product->post_title.'</option>';
					}
					$htmlDropdown .= '</select>';
				endif;
			}
			return $htmlDropdown;
		}
		function woo_createticket_tab($tabs=NULL){
			if( self::check_woocommerce_installed()===TRUE && wpo_ticket_option_ticket_woo_enable()=='yes' ){
				$tabs['pressticket']['title'] = __('Create a ticket');
				$tabs['pressticket']['priority'] = 100;
				$tabs['pressticket']['callback']	=	array($this,'woo_createticket_form');
			}
			return $tabs;
		}
		function woo_createticket_form(){
			global $post;
			if( class_exists('WPO_pressticket_Shortcode') ){
				$WPO_pressticket_Shortcode = new WPO_pressticket_Shortcode();
				print $WPO_pressticket_Shortcode->createticket(array('selector'=>$post->ID), null);
			}
		}
		function get_count_product_tickets($product_id=NULL){
			global $wpdb;
			if( $product_id ==NULL )
				return 0;
			$query = $wpdb->get_results("SELECT * FROM $wpdb->postmeta WHERE `meta_key`='wpo_ticket_related_product' AND `meta_value`=$product_id");
			if($query){
				$total = count( $query );
				$open = 0;
				foreach ( $query as $ticket ){
					if( get_post_meta($ticket->post_id,'wpo_ticket_status',true) == 'open' ){
						$open++;
					}
				}
				return array(
					'total'	=>	$total,
					'open'	=>	$open
				);
			}
			return 0;
			
		}
		function manage_edit_woo_product_columns($columns){
			unset( $columns['date'] );
			$new_columns = array(
				'tickets'	=>	__('Tickets','wpo'),
				'date'	=>	__('Date','wpo')
			);
			return array_merge($columns, $new_columns);
		}
		function manage_woo_product_posts_custom_column($column, $post_id){
			switch ($column) {
				case 'tickets':
					$count = $this->get_count_product_tickets($post_id);
					if( $count['total'] > 1 ){
						echo '<div><a href="'.admin_url('edit.php?post_type=wp-ticket&woo_product_id='.$post_id).'">'. $count['total'] . __(' Tickets') .'</a></div>';
						echo '<div><a href="'.admin_url('edit.php?post_type=wp-ticket&woo_product_id='.$post_id . '&status=open').'">'. $count['open'] . __(' Opening') .'</a></div>';
					}
					else{
						echo '<div><a href="'.admin_url('edit.php?post_type=wp-ticket&woo_product_id='.$post_id).'">'. $count['total'] . __(' Ticket') .'</a></div>';
						echo '<div><a href="'.admin_url('edit.php?post_type=wp-ticket&woo_product_id='.$post_id . '&status=open').'">'. $count['open'] . __(' Opening') .'</a></div>';
					}
					
				break;
			}
		}
		function woo_parse_query(){
			if( is_admin() && $_GET['post_type']=='wp-ticket'  ){
				$woo_product_id = (int)$_GET['woo_product_id'];
				if( $woo_product_id > 0 ){
					set_query_var('meta_key', 'wpo_ticket_related_product');
					set_query_var('meta_value', $woo_product_id);
					set_query_var('meta_compare', '==');
				}
			}
		}
	}
	$WPO_pressticket_woocommerce = new WPO_pressticket_woocommerce();
}