<?php
if( !defined('ABSPATH') )
	exit();
if( !class_exists('Tax_Meta_Class') ){
	require_once 'tax-meta-class/tax-meta-class.php';
}
if( !class_exists('WPO_pressticket_meta_department') ){
	class WPO_pressticket_meta_department {
		function __construct(){
			$this->init();
		}
		function init(){
			if(is_admin()){
				$tag_ID = isset( $_GET['tag_ID'] ) ? trim( $_GET['tag_ID'] ) : null;
				$prefix = 'wp_ticket_tax';
				$config = array(
				    'id' => 'wpo-ticket-meta',          // meta box id, unique per meta box
				    'title' => __('Supporter of this Department','wpo'),          // meta box title
				    'pages' => array('department'),        // taxonomy name, accept categories, post_tag and custom taxonomies
				    'context' => 'advanced',            // where the meta box appear: normal (default), advanced, side; optional
				    'fields' => array(),            // list of meta fields (can be added by field arrays)
				    'local_images' => false,          // Use local or hosted images (meta box images for add/remove)
				    'use_with_theme' => false          //change path if used with theme set to true, false for a plugin or anything else for a custom path(default false).
				);	
				$tax = new Tax_Meta_Class($config);
				$users = get_users();
				$repeater_fields[] = $tax->addText($prefix.'_topics_id_'. $tag_ID ,array('name'=> __('Help topic','wpo')),true);
				$tax->addRepeaterBlock($prefix.'helps_',array(
					'inline' => true, 
					'name' => __('Help topic','wpo'),
					'fields' => $repeater_fields, 
					'sortable'=> true)
				);
				if($users){
					foreach ($users as $u){
						$cap = $u->caps;
						if( $cap['update_ticket'] ){
							$tax->addCheckbox($prefix.'_helper_id_' . $u->ID ,array('name'=> '<span class="label label-info">'.$u->user_login.'</span>' . ' [' . $u->user_email . '] ' ,'tax-meta'));	
						}
					}
				}
				$tax->Finish();
			}
		}
	}
	$WPO_pressticket_meta_department = new WPO_pressticket_meta_department();
}