<?php
if( !defined('ABSPATH') )
	exit();
if( !function_exists('wp_ticket_ajax_debugme') ){
	function wp_ticket_ajax_debug() {
		$resp = 0;
		$result = null;
		if( current_user_can('add_users') ){
			### First, check Helpdesk online/offline
			if( wpo_ticket_option_helpdesk_status()=='no' ){
				###warning
				$resp++;
				$result .= sprintf(__('<strong>Warning!</strong> Helpdesk is offline!, If you want to open Helpdesk, click <strong>General</strong> tab, find <strong>Helpdesk Status</strong> and choose Online, then Click <strong>Save Settings</strong> button %s','wpo'),'<hr>');
			}
			### check Department
			$terms = get_terms('department', array(
		      		'hide_empty'	=>	false
		    ));
		    if(!$terms){
		    	#### error
		    	$resp++;
		    	$result .= sprintf( __('<strong>Warning!</strong> Department empty! %s %s','wpo') ,'<a href="'.admin_url('edit-tags.php?taxonomy=department&post_type=wp-ticket').'">'.__('Add now','wpo').'</a>','<hr>');    	
		    }			
			### check recaptcha
			if( wpo_ticket_option_enable_recaptcha()=='yes' ){
				if( wpo_ticket_option_recaptcha_publish_key()=='' ){
					$resp++;
					$result .= sprintf( __('<strong>Warning!</strong> Recaptcha enabled, but not provide <strong>Publish Key</strong><br/>Click <strong>General</strong> tab, find <strong>Re-captcha</strong> and enter <strong>Publish Key</strong> on <strong>Publish Key</strong> field %s','wpo') ,'<hr>');				
				}				
				if( wpo_ticket_option_recaptcha_private_key()=='' ){
					$resp++;
					$result .= sprintf( __('<strong>Warning!</strong> Recaptcha enabled, but not provide <strong>Private Key</strong><br/>Click <strong>General</strong> tab, find <strong>Re-captcha</strong> and enter <strong>Private Key</strong> on <strong>Private Key</strong> field %s','wpo') ,'<hr>');
				}				
			}
			### Send mail
			if( wpo_ticket_option_alert_new_tickets()=='yes' || wpo_ticket_option_alert_new_messages()=='yes' ){
				if( wp_mail(get_bloginfo('admin_email'),'#PressTicket Debug email', '#Just a test')  !==TRUE){
					$resp++;
					$result .= sprintf( __('<strong>Warning!</strong> You had enable Alerts and Notices functions, but We can not send mail.<br/>Please check SMTP or Server Mail.<br/><i>Recommend: If you use SMTP to send mail, please re-check it, or not, you can install <a target="_blank" href="http://wordpress.org/extend/plugins/configure-smtp/">Configure SMTP Plugin</a></i> %s','wpo') ,'<hr>');
				}
			}
			### test layout
			if( !get_option('wpo_ticket_get_url_myticket') || get_option('wpo_ticket_get_url_myticket')=='' ){
				$resp++;
				$result .= sprintf( __('<strong>Warning!</strong> Please define My Ticket page<br/>If you had created My Ticket page, please put <strong>[user_tickets]</strong> shortcode anywhere on that page.This shortcode will show all User \'Ticket, after create the page, go to %s and set it. %s','wpo'),'<a href="'.admin_url('edit.php?post_type=wp-ticket&page=wp-ticket-settings&tab=layout').'">'.__('here','wpo').'</a>','<hr>');
			}
			if( wpo_ticket_check_shortcode('[user_tickets',get_option('wpo_ticket_get_url_myticket')) === false){
				$resp++;
				$result .= sprintf(__('<strong>Warning!</strong> Your <strong>My ticket</strong> page not include the shortcode!<br/>Please put <strong>[user_tickets]</strong> shortcode on it, click %s %s','wpo'),'<a href="'.admin_url('post.php?post='.wpo_ticket_get_id_from_guid(get_option('wpo_ticket_get_url_myticket')).'&action=edit').'">'.__('here','wpo').'</a>','<hr>');
			}
			if( !get_option('wpo_ticket_get_url_createticket') || get_option('wpo_ticket_get_url_createticket')=='' ){
				$resp++;
				$result .= sprintf(__('<strong>Warning!</strong> Please define Create Ticket page<br/>If you had created Create Ticket page, please put <strong>[createticket]</strong> shortcode anywhere on that page.This shortcode will show Create ticket form, after create the page, go to %s and set it. %s','wpo'),'<a href="'.admin_url('edit.php?post_type=wp-ticket&page=wp-ticket-settings&tab=layout').'">'.__('here','wpo').'</a>','<hr>');
			}
			if( wpo_ticket_check_shortcode('[createticket',get_option('wpo_ticket_get_url_createticket')) === false){
				$resp++;
				$result .= sprintf(__('<strong>Warning!</strong> Your <strong>Create ticket</strong> page not include the shortcode!<br/>Please put <strong>[createticket]</strong> shortcode on it, click %s'.__('here','wpo').'</a>','wpo'),'<a href="'.admin_url('post.php?post_type=page&post='.wpo_ticket_get_id_from_guid(get_option('wpo_ticket_get_url_createticket')).'&action=edit').'">','<hr>');
			}			
			if($resp==0){
				$result .= __('Great, Everything is OK, Enjoy!','wpo'); 
			}
		}
		if( $resp > 0 ){
			echo json_encode(array('resp'=>'alert','mess'=>$result));exit();	
		}
		else{
			echo json_encode(array('resp'=>'alert-success','mess'=>$result));exit();
		}
	}
	add_action('wp_ajax_debug', 'wp_ticket_ajax_debug');
}