<?php
if( !defined('ABSPATH') )
	exit();
if(!function_exists('wpo_ticket_get_editor')){
	function wpo_ticket_get_editor($content, $id, $name, $media = true) {
		ob_start();
		$settings = array(
			'textarea_name' => $name,
			'media_buttons' => $media,
			'quicktags'	=>	false,
			'textarea_rows'	=>	10
		);
		wp_editor($content,$id, $settings);
		$editor_contents = ob_get_clean();
		return $editor_contents;			
	}
}
if( !function_exists('wpo_ticket_check_helpdesk_status')  ){
	function wpo_ticket_check_helpdesk_status($the_content) {
		if( get_post_type()=='wp-ticket' && !is_admin() )
			if( wpo_ticket_option_helpdesk_status()=='no' ){
				echo '
					<div class="alert alert-error">
					 '.wpo_ticket_option_helpdesk_status_messages().'
					</div>				
				';
			}
			return $the_content;
	}
	add_action('the_content', 'wpo_ticket_check_helpdesk_status');
}
if( !function_exists('loginform_rememberme_after') ){
	function loginform_rememberme_after(){
		$html = '
			<div class="control-group">
				<div class="controls loginform">';
			if( get_option('users_can_register') ){
				$html .= '<a href="'.get_bloginfo('url').'/wp-login.php?action=register">'.__('Register','wpo').'</a> |';
			}
			$html .='
					<a href="'.wp_lostpassword_url().'">'.__('Lost your password?','wpo').'</a>
				</div>
			</div>
		';
		return $html;
	}
	add_filter('pressticket_loginform_rememberme_after', 'loginform_rememberme_after',10);	
}
if(!function_exists('pressticket_loginform_before')){
	function pressticket_loginform_before() {
		return __('<h3>Please login to access this page.</h3>','wpo');
	}
	add_filter('pressticket_loginform_before', 'pressticket_loginform_before');
}
if( !function_exists('wpo_pressticket_lock_editticket') ){
	function wpo_pressticket_lock_editticket() {
		global $pagenow;
		if( is_admin() && $pagenow=='post.php' && get_post_type($_GET['post'])=='wp-ticket' ){
			wp_die( __('Sorry, You can not edit the Ticket Content :(','wpo') );
		}
	}
	//add_action('admin_init', 'wpo_pressticket_lock_editticket');
}
if( !function_exists('wpo_pressticket_get_department') ){
	function wpo_pressticket_get_department($post_ID, $name = false){
		$department = 'department';
		if( taxonomy_exists( $department ) ){
			$terms = wp_get_object_terms($post_ID, $department, NULL );
			if($terms){
				if ($name === true){
					return $terms[0]->name;
				}
				return $terms[0]->term_id;
			}
			return;
		}
		return;
	}
}
if(!function_exists('wpo_ticket_add_ticketID')){
	/**
	 * create and update ticket ID, not post ID
	 * @param int $post_id
	 */
	function wpo_ticket_add_ticketID($post_id) {
		if(!$post_id) return;
		if( get_post_type($post_id)=='wp-ticket' ){
			if( !get_post_meta($post_id,'wpo_ticket_ID',true) ){
				$rand = rand(1000, 9999) . '($*%&#%%))&*' . get_bloginfo('url');
				$ticket_id = json_encode(array('ticket_id'=>$post_id . $rand));
				$ticket_id = substr(md5($ticket_id), 0, 10); 
				update_post_meta($post_id, 'wpo_ticket_ID', $ticket_id);				
			}			
		}
	}
	add_action('save_post', 'wpo_ticket_add_ticketID', 1000,1);
}
if(!function_exists('wpo_ticket_get_ticketID')){
	/**
	 * This is Ticket ID, not post_id default
	 * @param unknown_type $post_id
	 */
	function wpo_ticket_get_ticketID($post_id) {
		if(!$post_id) return;
		return get_post_meta($post_id,'wpo_ticket_ID',true);
	}
}

if( !function_exists('wpo_ticket_get_postid_from_ticketid') ){
	/**
	 * Get real post id from ticket ID, eg: ticket ID = 91f058217f
	 * @param unknown_type $ticket_id
	 */
	function wpo_ticket_get_postid_from_ticketid($ticket_id) {
		global $wpdb;
		if( !$ticket_id )
			return;
		$query = $wpdb->get_var("SELECT `post_id` FROM $wpdb->postmeta WHERE `meta_value`='$ticket_id' AND `meta_key`='wpo_ticket_ID'");
		return $query;
	}	
}

if(!function_exists('wpo_ticket_get_endpoint_url')){
	function wpo_ticket_get_endpoint_url() {
		return get_bloginfo('url') . '/api/' . wpo_ticket_option_endpoint_slug();	
	}
}
