<?php
if( !defined('ABSPATH') )
	exit();
if(!function_exists('wpo_ticket_get_mail_new_ticket_alert')){
	/**
	 * New Ticket Alert
	 * Send to staff 
	 */
	function wpo_ticket_get_mail_new_ticket_alert(){
		$messages = '
			Hi,
			New ticket {ticket.number} created.
			-----------------------
			Name: {ticket.name}
			Email: {ticket.email}
			Dept: {ticket.dept.name}
			{message}
			-----------------------
			To view/respond to the ticket, please {login} to the support ticket system.
			{ticket.staff_link}
			Your friendly Customer Support System - Powered by {ticket_system}.		
		';
		return get_option('wpo_ticket_get_mail_new_ticket_alert') ? get_option('wpo_ticket_get_mail_new_ticket_alert'): $messages;
	}
}
if(!function_exists('wpo_ticket_get_mail_new_ticket_messages')){
	/**
	 * New Message Alert
	 * Send to staff
	 */
	function wpo_ticket_get_mail_new_ticket_messages() {
		$messages = '
Hi,
New message appended to ticket {ticket.number}
----------------------
Name: {ticket.name}
Email: {ticket.email}
Dept: {ticket.dept.name}
{message}
----------------------
To view/respond to the ticket, please login to the support ticket system.
{ticket.staff_link}
- Your friendly Customer Support System - powered by {ticket_system}.		
		';
		$messages = str_ireplace('{ticket_system}', wpo_ticket_option_helpdesk_name(), $messages);
		$messages = str_ireplace('{login}', get_bloginfo('url') . '/wp-login.php', $messages);		
		return get_option('wpo_ticket_get_mail_new_ticket_messages') ? get_option('wpo_ticket_get_mail_new_ticket_messages'): $messages;
	}
}

if(!function_exists('wpo_ticket_get_mail_response')){
	/**
	 * Template used on ticket response/reply
	 * Send to ticketer
	 */
	function wpo_ticket_get_mail_response() {
		$messages = '
Hi {ticket.name},
A customer support staff member has replied to your support request, {ticket.number} with the following response:
{response}
We hope this response has sufficiently answered your questions. If not, please do not send another email. Instead, reply to this email or login to your account for a complete archive of all your support requests and responses.
{ticket.client_link}
---------------------------------------------
{signature}
		';
		return get_option('wpo_ticket_get_mail_response') ? get_option('wpo_ticket_get_mail_response') : $messages;
	}
}